Bug 1142485 - ability to set osd pool default size in ceph.conf
Summary: ability to set osd pool default size in ceph.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Brad P. Crochet
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On: 1142483
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 21:12 UTC by Crag Wolfe
Modified: 2014-11-04 17:02 UTC (History)
9 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.4.0-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, the 'OSD Pool' default size was not visible in the Advanced Configuration of a deployment. As a result, the default pool size could not be set for Ceph. With this update, the Ceph default pool size has been added to the Advanced Configuration screen and is available for modification.
Clone Of: 1142483
Environment:
Last Closed: 2014-11-04 17:02:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Crag Wolfe 2014-09-16 21:12:23 UTC
Staypuft should expose this parameter per-deployment.

+++ This bug was initially created as a clone of Bug #1142483 +++

Description of problem:

Expose the parameter "osd pool default size" in ceph.conf.  A value of "1" is useful for testing/POC.

Comment 3 Brad P. Crochet 2014-09-30 12:27:51 UTC
PR submitted
https://github.com/theforeman/staypuft/pull/324

Comment 6 Alexander Chuzhoy 2014-10-07 15:18:19 UTC
Verified: ruby193-rubygem-staypuft-0.4.0-2.el6ost.noarch
rhel-osp-installer-0.4.1-2.el6ost.noarch

In the "Advanced Configuration" tab of the deployment, there's "Ceph Storage (OSD) (node) Service Configuration".
Previously you couldn't set any parameters, it said:
"No configuration needed for this service."


Now, you can set/override parameters for the service and one of them is "Osd pool default size".

Comment 8 errata-xmlrpc 2014-11-04 17:02:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.